<%
cu = current_user
is_admin = cu.is_admin?
can_moderate = cu.can_moderate?
-%>
	<div class="blockform">
		<h2><span><%=h @user.username %> - Essentials</span></h2>
		<div class="box">
			<form id="profile1" method="post" action="<%= url_for :action => 'update_index', :id => @user.id %>" onsubmit="return process_form(this)">
				<div class="inform">
					<fieldset>
						<legend>Enter your username and password</legend>
						<div class="infldset">
							<input type="hidden" name="form_sent" value="1" />
<% if is_admin and Settings.mod_rename_users == true -%>
							<input type="hidden" name="old_username" value="<%=h @user.username %>).'" /><label><strong>Username</strong><br /><input type="text" name="req_username" value="<%=h @user.username %>" size="25" maxlength="25" /><br /></label>
<% else -%>
							<p>Username: <%=h @user.username %></p>
<% end -%>
<% if cu.id == @user.id or is_admin or (@user.group.id > Settings.group_ids[:pun_mod] and Settings.mod_change_passwords == true) -%>
							<p><a href="<%= url_for :action => 'change_password', :id => @user.id %>">Change password</a></p>
<% end -%>
						</div>
					</fieldset>
				</div>
				<div class="inform">
					<fieldset>
						<legend>Enter a valid e-mail address</legend>
						<div class="infldset">
<% if can_moderate -%>
							<label><strong>E-mail</strong><br /><input type="text" name="req_email" value="<%= @user.email %>" size="40" maxlength="50" /><br /></label><p><a href="<%= url_for :controller => 'user', :action => 'email', :id => @user.id %>">Send e-mail</a></p>
<% else -%>
							<p>E-mail: <%= @user.email %>&nbsp;-&nbsp;<a href="<%= url_for :action => 'change_email', :id => @user.id %>">Change e-mail</a></p>
<% end -%>
						</div>
					</fieldset>
				</div>
				<div class="inform">
					<fieldset>
						<legend>Set your localisation options</legend>
						<div class="infldset">
							<label>Timezone: For the forum to display times correctly you must select your local timezone.
							<br /><select name="form[timezone]"><%= timezone_options(@user.timezone) %></select>
							<br /></label>
<% if languages.keys.length > 1 -%>
							<label>Language: You can choose which language you wish to use to view the forum.
							<br /><select name="form[language]"><%= language_options(@user.language) %></select>
							<br /></label>
<% end -%>
						</div>
					</fieldset>
				</div>
				<div class="inform">
					<fieldset>
						<legend>User activity</legend>
						<div class="infldset">
							<p>Registered: <%= @user.created_at %>
<% if can_moderate -%>
							<a href="<%= url_for :controller => 'moderate', :action => 'get_host', :id => @user.registration_ip %>"><%=h @user.registration_ip %></a>
<% end %>
							</p>
							<p>Last post: <%= @user.last_post %></p>
<% if is_admin -%>
							<label>Posts<br /><input type="text" name="num_posts" value="<%= @user.num_posts %>" size="8" maxlength="8" /><br /></label><p><a href="<%= url_for :controller => 'search', :action => 'user_posts', :id => @user.id %>">Show posts</a></p>
<% else -%>
							<p>Posts: <%= @user.num_posts %> - <a href="<%= url_for :controller => 'search', :action => 'user_posts', :id => @user.id %>">Show posts</a></p>
<% end -%>
<% if can_moderate -%>
							<label>Admin note<br />
							<input id="admin_note" type="text" name="admin_note" value="<%=h @user.admin_note %>" size="30" maxlength="30" /><br /></label>
<% end -%>
						</div>
					</fieldset>
				</div>
				<p><input type="submit" name="update" value="Submit" />When you update your profile, you will be redirected back to this page.</p>
			</form>
		</div>
	</div>

